Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: Czy można zinstalować nowe oprogramowanie?  (Przeczytany 1246 razy)

Offline homar

  • Wiadomości: 7
Czy można zinstalować nowe oprogramowanie?
« dnia: Grudzień 18, 2012, 01:07:55 pm »
Witam,

Jestem nowym użytkownikiem Linuxa. Zaistalowałem 64 bitowego Minta w werscji 14 xfce. Próbuję rozeznać nowe oprogramowanie możliwe do zainstalowania. W menadżerze oprogramowania znalazłem coś takiego jak "umbrello".  Chcę rozpoznać narzędzia do UMLa. W opisie do tego widzę :


Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE. It can create diagrams of software and other systems in the industry-standard UML format, and can also generate code from UML diagrams in a variety of programming languages.



This package is part of the KDE Software Development Kit module.


I teraz nie wiem, czy mogę to zainstalować. Pisze, że KDE, a xfce jest chyba oparty na jakimś GNOMie. Jak to sprawdzić, i czy chcąc używać podobne oprogramowanie powinno się instalować kilka dystrybucji Linuxa ?



Pozdrawiam,

Marek Horodyski
« Ostatnia zmiana: Grudzień 18, 2012, 01:07:55 pm wysłana przez 329 »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1524
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #1 dnia: Grudzień 18, 2012, 04:07:23 pm »
Witaj

Jeśli interesuje Cię konkretny program, to masz trzy wyjścia:

1. Zainstalować go w wersji Minta, która posiadasz a więc Xfce. Wymagane biblioteki KDE zostaną doinstalowane automatycznie, lecz ilość ich będzie dość spora.

2. Zainstalować od nowa Minta KDE a następnie wybrany program.

3. Wyszukać w Centrum Oprogramowania inny program, który spełnia twoje kryteria, ale działa na bibliotekach GTK a więc dla środowiska GNOME, Xfce, LXDE.

Pozdrawiam

pavroo  
« Ostatnia zmiana: Grudzień 18, 2012, 04:07:23 pm wysłana przez 2 »
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline homar

  • Wiadomości: 7
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #2 dnia: Grudzień 18, 2012, 04:25:01 pm »
A jeśli doinstaluje niezbędne biblioteki KDE, to gdy będę w przyszłości używał/doinstalowywał inny program z wymaganiami na KDE, to mam nadzieję skorzysta on z juz istniejących?

Pozdrawiam,

Marek Horodyski
« Ostatnia zmiana: Grudzień 18, 2012, 04:25:01 pm wysłana przez 329 »

Offline Albedo 0.64

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 593
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #3 dnia: Grudzień 18, 2012, 07:19:05 pm »
@homar: każdy program potrzebuje do działania określonych komponentów; bibliotek systemowych, kodeków, pakietów współzależnych lub nawet całych, innych programów z którymi współpracuje. Dzieje się tak również w Windows, tam jednak nie wiemy do końca co jest zawarte w paczce exe. Linuksowe instalatory (np. Synaptic, Gdebi, apt itp.) rozwiązują problemy zależności i same proponują instalację potrzebnych pakietów. Kolejny instalowany program będzie korzystał z pakietów istniejących w systemie bez dublowania. Skorzystaj z rady pavroo, najlepszym sposobem będzie przeinstalowanie systemu na wersję z KDE, co zaoszczędzi Ci bałaganu w biblitekach systemowych. Skoro masz mocny komputer 64 bit to KDE nie będzie zbyt ciężkie.
« Ostatnia zmiana: Grudzień 18, 2012, 07:19:05 pm wysłana przez 90 »
Linux Mint Debian
Linux registered user 556565

Offline homar

  • Wiadomości: 7
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #4 dnia: Grudzień 19, 2012, 04:03:52 pm »
Może przyjrzę się jeszcze raz KDE - przynajmniej w wersji Live. Pierwsze wrażenie - za bardzo cukierkowaty. W międzyczasie doczytałem (o ile dobrze zrozumiałem), że oparty jest o Qt, a to może być duży argument ZA, bo być może będę ten framework w jakiś sposub wykorzystywał. Instalując OS nie wydzieliłem katalogu domowego. Jeszcze w nim nic nie ma, ale trochę mi szkoda - komp działa wyśmienicie, poinstalowałem sobie różności, aero2 itp. Po instalacji stwierdił, że zaleca upgrad większości rzeczy i na 1Gb instalacji niby świerzego softu przeciągną pomiędzy 200 a 300 Mb aktualizacji - napradę szkoda, tym bardziej, że xfce mi odpowiada. Strasznie to fajne :)

Ale mam jeszcze inne pytanie - próbowałem zainstalowć GAPHOR (też soft do UMLa). MintInstal 7.4.4 napisał, że zainstalowane (z aktywnym przyciskiem USUN). Ale w szczegółach jest :

---

Wersja: 0.17.0-1

Rozmiar: Zwolniono 1MB miejsca na dysku

Wpływ na pakiety: gaphor (usunięte)

---

i w menu w pozycji programowanie jest tylko UMBRELLO.  Czyli wygląda, że jednak nie jest zainstalowane :(
« Ostatnia zmiana: Grudzień 19, 2012, 04:03:52 pm wysłana przez 329 »

Offline Albedo 0.64

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 593
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #5 dnia: Grudzień 19, 2012, 08:33:35 pm »
Skoro Xfce przypadło Ci do gustu to na razie tak zostaw i eksperymentuj dalej, reinstalacja nie zając. MintInstall faktycznie działa dziwnie i czasami wprowadza w błąd. Jeżeli jest aktywny przycisk "usuń" to znaczy że program jest zainstalowany a opis dotyczy skutków deinstalacji. Czy dany program (pakiet) jest w systemie można sprawzić na dwa sposoby; 1. przy pomocy Synaptica wpisując w wyszukiwarkę nazwę pakietu lub 2. wpisując w terminalu nazwę programu (w tym przypadku gaphor).
« Ostatnia zmiana: Grudzień 19, 2012, 08:33:35 pm wysłana przez 90 »
Linux Mint Debian
Linux registered user 556565

Offline homar

  • Wiadomości: 7
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #6 dnia: Grudzień 20, 2012, 10:36:21 am »
W graficznych narzędziach coś nie mogę go znaleźć, a w terminalu mam :

Traceback (most recent call last):

File "/usr/bin/gaphor", line 5, in <module>

from pkg_resources import load_entry_point

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2815, in <module>

working_set.require(__requires__)

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 690, in require

needed = self.resolve(parse_requirements(requirements))

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 588, in resolve

raise DistributionNotFound(req)

pkg_resources.DistributionNotFound: distribute



Tak sie zastanawiam, czy przypadkiem nie kłócą się dwie instalacje : gaphor i umbrella. Ale niechcę odinstalowywać umbrelli aby to sprawdzić :(

« Ostatnia zmiana: Grudzień 20, 2012, 10:36:21 am wysłana przez 329 »

Offline Albedo 0.64

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 593
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #7 dnia: Grudzień 20, 2012, 02:09:03 pm »
Nic się nie kłóci, gdyby był konflikt pakietów instalator by o tym powiadomił i zaproponował usunięcie umbrella podczas instalacji gaphor. /usr/bin/gaphor to plik uruchamiający program, można utworzyć do niego dowiązanie symboliczne (skrót) i umieścić na pulpicie lub panelu (aktywator) by uruchamiać program. Niestety, czasami nowe programy nie mają skrótów w menu a edycja menu w Xfce jest kłopotliwa. Możesz wypróbować do tego celu program MenuLibre. W dystrybucjach Debian/Ubuntu/Mint należy dodać repozytorium i zainstalować program tradycyjną metodą w terminalu:

sudo add-apt-repository ppa:menulibre-dev/devel

sudo apt-get update

sudo apt-get install menulibre
« Ostatnia zmiana: Grudzień 20, 2012, 02:09:03 pm wysłana przez 90 »
Linux Mint Debian
Linux registered user 556565

Offline homar

  • Wiadomości: 7
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #8 dnia: Grudzień 20, 2012, 04:46:35 pm »
te 3 linie przeinstalowały mi menulibre, a nie o to mi chodziło, gdyż to chyba było. Ale teraz czytając wcześniejsze komunikaty na terminalu, zauważyłem, że gaphor jest w katalogu usr/bin, a wczesniej szukalem w bin. Jak thunarem odnajde ten plik i próbuję dac na różne sposoby uruchom, nic się nie dzieje. Na terminalu te komunikaty o numerach linii pewnie są rzutami jakichś wyjątków, i mówią dlaczego się nie uruchamia. Czy tak ?
« Ostatnia zmiana: Grudzień 20, 2012, 04:46:35 pm wysłana przez 329 »

Offline homar

  • Wiadomości: 7
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #9 dnia: Grudzień 20, 2012, 05:29:11 pm »
Jeszcze nasuwa mi sie pytanie - jak z terminala wygladalo by polecenie :

sudo add-apt-repository ppa:menulibre-dev/devel

ale dla aplikacji gaphor ?
« Ostatnia zmiana: Grudzień 20, 2012, 05:29:11 pm wysłana przez 329 »

Offline Albedo 0.64

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 593
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #10 dnia: Grudzień 20, 2012, 08:16:35 pm »
Po pierwsze musisz otworzyć katalog /usr/bin jako administrator bo inaczej nic nie zrobisz (polecenie w terminalu: sudo thunar). Po drugie powyższe polecenia które napisałem dotyczą TYLKO programu MenuLibre. Jeżeli uruchomisz ten edytor to będziesz mógł umieścić gaphor w menu co powinno załatwić Twój problem. Gaphor powinien się uruchomić gdy wpiszesz gaphor w terminalu.
« Ostatnia zmiana: Grudzień 20, 2012, 08:16:35 pm wysłana przez 90 »
Linux Mint Debian
Linux registered user 556565

Offline homar

  • Wiadomości: 7
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #11 dnia: Grudzień 21, 2012, 11:48:07 am »
Próbowałem najpierw sudo gaphor a potem sudo thunar. Na terminalu mam :


marek@marek-Lenovo-B575e ~ $ sudo gaphor

[sudo] password for marek:

Traceback (most recent call last):

File "/usr/bin/gaphor", line 5, in <module>

from pkg_resources import load_entry_point

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2815, in <module>

working_set.require(__requires__)

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 690, in require

needed = self.resolve(parse_requirements(requirements))

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 588, in resolve

raise DistributionNotFound(req)

pkg_resources.DistributionNotFound: distribute

marek@marek-Lenovo-B575e ~ $ sudo thunar

Traceback (most recent call last):

File "/usr/bin/gaphor", line 5, in <module>

from pkg_resources import load_entry_point

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2815, in <module>

working_set.require(__requires__)

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 690, in require

needed = self.resolve(parse_requirements(requirements))

File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 588, in resolve

raise DistributionNotFound(req)

pkg_resources.DistributionNotFound: distribute


Nic to - odinstaluję i bedę się ciszył tymczasem umbrellą. A KDE zainstaluję na stacjonarnym, na razie jako drugo os, i tam będę ćwiczył nowości.

Pozdrawiam,

Marek Horodyski
« Ostatnia zmiana: Grudzień 21, 2012, 11:48:07 am wysłana przez 329 »

Offline Albedo 0.64

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 593
Odp: Czy można zinstalować nowe oprogramowanie?
« Odpowiedź #12 dnia: Grudzień 21, 2012, 03:17:57 pm »
sudo jest poleceniem zmiany uprawnień więc nie ma zastosowania w przypadku uruchamiania gaphor. sudo thunar powinno otworzyć okno Thunara w trybie administratora (z czerwonym paskiem ostrzegawczym) po podaniu hasła.  Mając w ten sposób prawo dostępu do katalogów systemowych możesz utworzyć skrót (dowiązanie) do pliku /usr/bin/gaphor.
« Ostatnia zmiana: Grudzień 21, 2012, 03:17:57 pm wysłana przez 90 »
Linux Mint Debian
Linux registered user 556565